Issue 120925 - ODBC SDBC driver library can't be loaded or is corrupted
ODBC SDBC driver library can't be loaded or is corrupted
Status: RESOLVED FIXED
Product: Base
Classification: Application
Component: code
3.4.1
All Linux
: P3 normal (vote)
: 4.0.0
Assigned To: Ariel Constenla-Haile
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 22:40 UTC by Ariel Constenla-Haile
Modified: 2013-07-21 14:19 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Database wizard - can't load libodbc.so (48.07 KB, image/png)
2012-09-12 22:40 UTC, Ariel Constenla-Haile
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Ariel Constenla-Haile 2012-09-12 22:40:02 UTC
Created attachment 79446 [details]
Database wizard - can't load libodbc.so

* Menu File - New - Database
* On the wizard:
- Step 1: select Connect to an existing database - ODBC 
- Step 2: set up an ODBC connection, press the button "Browse"

You get an error box informing that library libodbc.so couldn't be loaded or is corrupted.

Same error if you try to open an existing ODB file
Comment 1 SVN Robot 2012-09-19 19:23:16 UTC
"arielch" committed SVN 0 into trunk:
#i120925# - Prevent library name clash
Comment 2 mechtilde 2012-11-06 10:41:33 UTC
Hello Ariel,

did you install the ODBC driver esp. for Debian  and define the connection data to the database

http://wiki.openoffice.org/wiki/Connect_MySQLandBase#Using_ODBC_on_Linux
here you find a short description to install it.
Comment 3 Ariel Constenla-Haile 2013-07-21 11:05:10 UTC
The part that the library cannot be loaded is fixed.
All other type of error belong to other bugs.
Comment 4 Rainer Bielefeld 2013-07-21 14:19:29 UTC
Changed "Assigned to" to patch submitter to ease reliable queries.